List Competitive Sets
curl --request GET \
--url https://data.apartmentiq.io/apartmentiq/api/v1/accounts/{account_id}/comp_sets \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v1/accounts/{account_id}/comp_sets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.apartmentiq.io/apartmentiq/api/v1/accounts/{account_id}/comp_sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "11848667",
"type": "comp_set",
"attributes": {
"name": "Bowery Bayside Market",
"min_floorplan": 0,
"max_floorplan": 2,
"image": "https://apartmentiq-assets.rentable.co/images/accounts/1111/comp-sets/11848667.jpg",
"market_survey": true,
"category": "market_survey",
"custom_property": false,
"value_add": false,
"addresses": [
"6301 S Westshore Blvd Tampa FL 33616"
],
"owned_property_addresses": [
{
"id": 99000673,
"address": "6301 S Westshore Blvd",
"city": "Tampa",
"state": "FL",
"zip_code": "33616"
}
],
"subject_property_ids": [
"99000673"
],
"created_at": "2024-02-13T12:00:00Z",
"show_recommendations_link": true
}
}
]
}{
"error": "Invalid parameter",
"message": "account_id must be an integer"
}{
"error": "Unauthorized",
"message": "Missing or invalid bearer token"
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource"
}"You have exceeded the rate limit for this API.\n"Market Surveys
List Competitive Sets
Retrieves a list of comp sets the current user has access to within the given account.
GET
/
accounts
/
{account_id}
/
comp_sets
List Competitive Sets
Authorizations
Enter a Bearer token obtained via the OAuth client credentials flow or from the Access Tokens tab in your account settings.
Path Parameters
⌘I